---
title: "Kopia v0.7"
linkTitle: "v0.7"
weight: -70
---

## Functional changes in v0.7.3

* Improved restore performance (added parallelism)
* Fixes for restoring symlinks
* Added --force-color and --disable-color flags
* Cleaned up console log output (removed timestamp by default, module) and refactored most output to use logger, so it can be controlled with flags. With this it's now possible to have zero-output snapshot command suitable for crontab: `kopia snapshot create --all --log-level=warning --no-progress`

## Functional changes in v0.7.2

* Fixed retention tag application to incomplete snapshots, automatically apply at checkpoints. (#660)
* repo: refresh indexes in the background every 15 minutes (#650)
* Upgrade webdav client dependency to include bugfix for the race condition (#651)
* b2: fixed handling of 'no_such_file' to indicate NOT_FOUND (#646)
* cli: When listing directory that had errors, print error summary at the end. (#643)
* Fixed empty object IDs in checkpoints (#649)
* restore: improved user experience (#644)
* Fixed few minor data races (#659)
* Eliminated busy loop after snapshot failure (#658)

## Changes in v0.7.1

## CLI Changes

* Restore support for symlinks (experimental) (#621)
* Ensure advanced commands are not accidentally used (#611)
* Fixed snapshot delete to support deleting file (not directory) snapshots by object ID (#613)
* Remove maintenance lock file on disconnect (#616)
* Fixed checkpointing to not restart the entire upload process (#594)
* Plumbed through missing --server-cert-fingerprint option (#580)
* Tools to help investigate repository structures safely (read-only mode and index inspect) (#553)
* cli: ignore trailing / in repository server URL (#569)
* Improvements to UX for mounting directories (#573)
* Changed default file log level to debug
* implemented Cache Directory Tagging Specification (#565)
* added support for setting and changing repository client options (description, read-only, hostname, username) (#589)
* don't ask for password if repository is not connected (#627)
* fuse: changed file read implementation to avoid OOM (#620)

## Kopia UI Changes

* Kopia UI improvements for creating repositories and connecting to repositories (#592)
* Added ability to connect to kopia server and few other minor tweaks (#546)
* Improvements to UX for mounting directories  (#573)
* Added license ID and description
* Fix for zero-sized snapshot bug (#641)

## Repository Improvements

* Re-enables deletion of unused data blobs which was disabled in v0.6.3
* content: allow objects marked for deletion to be read (addresses unavoidable race condition) (#601)
* object: implemented fast concatenation of objects by merging their index entries (#607)
* splitter throughput improvements (#606)
* bugfix: fixed splitter reset on reuse (#596)
* bugfix: fixed index compaction that would resurrect content entry during full maintenance (#563)
* bugfix: upload: fixed ForceHashPercentage behavior to be non-deterministic (#579)
* upload: scan the directory to be uploaded in parallel to estimate the amount of data to be uploaded (#622)
* Set BuildVersion during repo initialization. (#572)
* Added support for Blake3 hashing (#640)

## Server Improvements:

* pre-read request body to fix HTTP/2 deadlock (#539)

## Infrastructure Improvements

* added RPM and APT repositories (#600)
* build: publishing of scoop Windows packages via goreleaser
* added endurance test which tests kopia over long time scale (#558)
* upraded to Go 1.15 (#598)
* logging: revamped logs from content manager to be machine parseable (#617)
* testing: added performance benchmark (#618)

## Providers

* Experimental rclone backend (#545)
* SFTP connectivity and docs improvements (#623)

## Compatibility Information

* v0.7 release is compatible with repositories created with v0.6 and v0.5.
* Due to splitter bug in previous releases (#595) repositories created using previous releases may not provide perfect deduplication for large files across multiple machines. Migrating the repository to v0.7 is recommended and will help reclaim the disk space.
